;This file contains the information required to get Miranda up and running,
;i.e., everything before a database is loaded

;Settings relating to the location and loading of the database
[Database]

;ProfileDir
;The directory to search for database files. If it's a relative path then
;it's relative to the directory containing Miranda32.exe / Miranda64.exe.
;If no directory specified, Profiles subdirectory in Miranda executable
;directory is assumed. You can use environment variables.
;To comply with Windows security guidelines, it is recommended that you keep
;your profile in %APPDATA%\Miranda NG
ProfileDir=

;ShowProfileMgr
;Selects the test to use to decide whether to show the profile manager on
;startup
;"never": Only show it if the profile to use can't be guessed by any means
;"yes":   Always show it
;"smart": (default) Show it if the command line doesn't contain a db name
;         that exists and there is more or less than 1 db in the ProfileDir
ShowProfileMgr=smart

;DefaultProfile
;Name of the profile to use if there's a choice. If Miranda is run with a
;command line parameter then that is used instead of this setting.
;Default is empty.
;If ShowProfileMgr=never then this profile is run without question.
;Otherwise the profile manager is run as usual but initially this profile
;is selected.
;This string can contain environment variables, e.g., %USERNAME%
DefaultProfile=

;AutoCreate
;"yes": If DefaultProfile or the command line parameter gives a profile
;name that doesn't exist then that profile is created
;"no": (default) The profile manager is shown in this case
AutoCreate=no

;RememberPassword
;if enabled, will store password into Windows Credential Manager
RememberPassword=0

;SilentUpgrade
;if enabled, will not show notification window about database upgrade
SilentUpgrade=0

;AutoExec is a system for batch addition of multiple settings to the database.
;See https://wiki.miranda-ng.org/index.php?title=Autoexec_system for documentation.
[AutoExec]

;Use
;"yes": Install .ini files automatically
;"no": Disable the autoexec system entirely
;"prompt": (default) Prompt the user before each installation
;This setting doesn't affect the decision of whether to display further prompts
Use=prompt

;Glob
;A global expression containing the files to watch for database settings.
;This will be checked just after database load and continuously all the
;time Miranda is running.
;If this contains a relative path, it's relative to the directory containing
;Miranda32.exe / Miranda64.exe.
;Default: autoexec_*.ini
Glob=autoexec_*.ini

;Safe
;A space-separated list of database module names known to be safe to alter.
;Default: CLC Icons CLUI CList SkinSounds
Safe=CLC Icons CLUI CList SkinSounds

;Unsafe
;A space-separated list of database module names that could be altered for
;malicious purposes (e.g., by faking a login server to steal passwords).
;Default: Facebook GG ICQ IRC JABBER MRA SKYPE TWITTER VKontakte
Unsafe=Facebook GG ICQ IRC JABBER MRA SKYPE TWITTER VKontakte

;OverrideSecurityFilename
;System administrators may find it desirable to install settings without prompting
;the user. In that case all prompts and security will be overridden if
;the name of the ini matches the name given here.
;If this is used, make sure it's suitably random and hence not likely
;to be downloaded.
;Default is empty (no override possible)
OverrideSecurityFilename=

;OnCreateFilename
;Defines .ini file that will be executed every time new profile is created.
;Default is empty (no override possible)
OnCreateFilename=

;Warn
;"all": Warn the user before each setting change is made
;"notsafe": (default) Warn before each change to a setting in a group
;           that isn't listed in the 'Safe' setting
;"onlyunsafe": Warn before each change to a setting in a group that is
;              listed in the 'Unsafe' setting
;"none": Never warn the user
Warn=notsafe

;OnCompletion
;What to do with the .ini file once it's imported
;"delete": Delete the file from the disk
;"recycle": (default) Move the file to the recycle bin (same as delete
;           if you've disabled Windows' recycle bin)
;"rename": Add the string in RenamePrefix to the beginning of the filename
;"leave": Leave the file as-is. Note that this could cause it to be
;         imported multiple times until it's moved
;"ask": Show a dialog to ask the user
OnCompletion=recycle

;RenamePrefix
;A string to add before the filename if the 'rename' option is used for
;OnCompletion. This can include a path specifier to move the file, e.g., ..\
;Default: done_
RenamePrefix=done_

; decisions about how Miranda loads plugins
[PluginLoader]

; if enabled, will ask the user if they want to re-enable a disabled plugin
AskAboutIgnoredPlugins=0

; language related settings
[Language]

; DefaultLanguage
; Stores the name of the default language pack to be loaded at startup.
; If skipped, loads the first file that matches the langpack_*.txt mask.
; "default": Built-in English language
; DefaultLanguage=langpack_german.txt
DefaultLanguage=

; interface related settings
[Interface]

;DpiAware
;enables HiDPI ("Retina Display") support. Experimental!
DpiAware=0
